package com.lantone.qc.trans.shaoyf;

import com.lantone.qc.pub.model.doc.MedicalRecordInfoDoc;
import com.lantone.qc.pub.model.vo.MedrecVo;
import com.lantone.qc.trans.ModelDocTrans;

import java.util.List;
import java.util.Map;

/**
 * @Description: 住院病历信息
 * @author: 胡敬
 * @time: 2020/6/3 15:45
 */
public class ShaoyfMedicalRecordInfoDocTrans extends ModelDocTrans {

    @Override
    public MedicalRecordInfoDoc extract(MedrecVo medrecVo) {
        Map<String, String> content = (Map) ((List) medrecVo.getContent().get("content")).get(0);
        MedicalRecordInfoDoc medicalRecordInfoDoc = new MedicalRecordInfoDoc();
        medicalRecordInfoDoc.setStructureMap(content);
        medicalRecordInfoDoc.setPageData(medrecVo.getContent());
        return medicalRecordInfoDoc;
    }

}